----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Micâh - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

-- namespace
local DF = DOF_namespace
local _

local doSound=false
local fichier = nil

function DF:sound_set_state(flag)
	doSound = flag
end

function DF:sound_roar()

	if DOF_config.sound.enable and doSound then
		
		fichier = DOF_config.sound.soundfiles[DF:currentForm()+1]

		if fichier and fichier~="" then PlaySoundFile(fichier) end
		doSound=false
		
	end

end

function DF:sound_play(fpath)

	if DOF_config.sound.enable then
	
		if fpath and fpath~="" then PlaySoundFile(fpath) end
		
	end

end