----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Mic�h - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

-- namespace
local DF = DOF_namespace
local _

-- spell names
DF.SavageRoarName, _, _, _, _, _ = GetSpellInfo(52610) 
DF.ProwlName, _, _, _, _, _ = GetSpellInfo(5215) 
DF.TigerFuryName, _, _, _, _, _ = GetSpellInfo(5217) 
DF.BloodTalonsName, _, _, _, _, _ = GetSpellInfo(155672) 
DF.BerzerkName, _, _, _, _, _ = GetSpellInfo(106951) 
DF.IncarnationName, _, _, _, _, _ = GetSpellInfo(102543) 
DF.RakeName, _, _, _, _, _ = GetSpellInfo(1822) 
DF.AshamanesFrenzyName, _, _, _, _, _ = GetSpellInfo(210722) 

-- combo point builder spells
DF_builders={}
DF_builders[5221] = true -- Shred
DF_builders[1822] = true -- Rake
DF_builders[210722] = true -- ashamane's frenzy
DF_builders[106785] = true -- swipe

-- finisher spells
DF_finishers={}
DF_finishers[52610] = true -- rugissement sauvage
DF_finishers[1079] = true -- d�chirure
DF_finishers[22568] = true -- morsure f�roce
DF_finishers[22570] = true -- estropier

-- Use dot power tracking (feral snapshotting) on these spells
DF_powerId={}
DF_powerId[1079] = 1079       -- rip
DF_powerId[106830] = 106830   -- trash
DF_powerId[155722] = 155722   -- rake
DF_powerId[210722] = 210722   -- ashamanes frenzy

-- Adds spells or objects to the spell selection listbox. Useful, if several IDs are for the same spell
-- ltype 1 for spells, ltype 2 for objects
DF.spellsListspecial ={
  {["texte"]=210722,["valeur"]="210722;210723",["alttexte"]="Ashamane's Frenzy",["ltype"]=1},
  {["texte"]=155722,["valeur"]="155722;1822",["alttexte"]="Rake for Cat",["ltype"]=1},
  {["texte"]=106830,["valeur"]="106830",["alttexte"]="Trash for Cat",["ltype"]=1},
  {["texte"]=106832,["valeur"]="106832",["alttexte"]="Trash for Bear",["ltype"]=1},
}
